<template>
  <div class="bbsl-common-page">
    <el-row :gutter="10">
      <el-col :span="24">
        <div class="module-box">
          <!--    低洼积水-区域设备分析      -->
          <regional-equipment-analysis />
        </div>
      </el-col>
    </el-row>
    <el-row :gutter="10">
      <el-col :span="12">
        <div class="module-box">
          <!--    降雨量雨积水次数统计      -->
          <rainfall-accumulation />
        </div>
      </el-col>
      <el-col :span="12">
        <div class="module-box">
          <!--    低洼积水-年度降雨量统计      -->
          <annual-rainfall />
        </div>
      </el-col>
    </el-row>
    <el-row :gutter="10">
      <el-col :span="8">
        <div class="module-box">
          <!--    低洼积水-传感器状态对比      -->
          <sensor-status-comparison />
        </div>
      </el-col>
      <el-col :span="16">
        <div class="module-box">
          <!--    报警数据分析统计      -->
          <alarm-data-statistics />
        </div>
      </el-col>
    </el-row>
    <el-row :gutter="10">
      <el-col :span="8">
        <div class="module-box">
          <!--    低洼积水点监测装置率     -->
          <monitor-device-rates />
        </div>
      </el-col>
      <el-col :span="16">
        <div class="module-box">
          <!--    积水深度与降水量的关系      Stagnant water precipitation-->
          <stagnant-water-precipitation />
        </div>
      </el-col>
    </el-row>
  </div>
</template>

<script>
import RegionalEquipmentAnalysis from './components/RegionalEquipmentAnalysis/index.vue'
import SensorStatusComparison from './components/SensorStatusComparison/index.vue'
import AlarmDataStatistics from './components/AlarmDataStatistics/index.vue'
import RainfallAccumulation from './components/RainfallAccumulation/index.vue'
import AnnualRainfall from './components/AnnualRainfall/index.vue'
import MonitorDeviceRates from './components/MonitorDeviceRates/index.vue'
import StagnantWaterPrecipitation from './components/StagnantWaterPrecipitation/index.vue'

export default {
  name: 'EarlyWarningMonitoring',
  components: {
    AlarmDataStatistics,
    SensorStatusComparison,
    RegionalEquipmentAnalysis,
    RainfallAccumulation,
    AnnualRainfall,
    MonitorDeviceRates,
    StagnantWaterPrecipitation
  },
  data() {
    return {}
  },
  mounted() {
  },
  methods: {}
}
</script>

<style lang="scss" scoped>
.bbsl-common-page {
  height: 100%;
  background-color: #ebeef4;
  display: flex;
  flex-direction: column;
  row-gap: 10px;
  overflow-y: auto;

  &::-webkit-scrollbar {
    display: none;
  }

  ::v-deep .el-row {
    flex: 1;
    min-height: 350px;

    .el-col {
      height: 100%;

      .module-box {
        height: 100%;
        display: flex;
        flex-direction: column;
        box-sizing: border-box;
        background-color: #fff;
        border-radius: 10px;
        overflow: hidden;
        transition: box-shadow 0.3s;
        box-shadow: rgba(0, 0, 0, 0.05) 0 3px 3px 0;
      }
    }
  }
}
</style>
